PHPExcel_Worksheet_Row

Represents a row in PHPExcel_Worksheet, used by PHPExcel_Worksheet_RowIterator

category | PHPExcel
package | PHPExcel_Worksheet
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Create a new row

    __construct(\PHPExcel_Worksheet $parent, int $rowIndex)

### Parameters

#### $parent

`\PHPExcel_Worksheet`

#### $rowIndex

`int`

## Destructor

    __destruct()

## Get cell iterator

    getCellIterator() : \PHPExcel_Worksheet_CellIterator

### Returns

`\PHPExcel_Worksheet_CellIterator`

## Get row index

    getRowIndex() : int

### Returns

`int`

### Properties

##

    $_parent : \PHPExcel_Worksheet

##

    $_rowIndex : int